/* station.c
 * July 1996 by Thomas Lehmann, thole@nuernberg.netsurf.de
 * function to read and write file which contains the frequencies of the
 * saved stations.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

#include <stdio.h>
#include <stdlib.h>
#include "station.h"

extern unsigned long RadioBase;
extern int akt_station;

station stations[NumStations];

float MinFreq=87.000;
float MaxFreq=109.000;
float DefaultFreq;

FILE *radiofile; 
char *home;
char rcfile[80];

void StationRead(void)
{
  int i;
  
  home = getenv("HOME");
  sprintf(rcfile, "%s/.xradiorc", home);
  if ((radiofile = fopen(rcfile, "r")) != NULL) 
  {
    fscanf(radiofile, "%lx", &RadioBase);
    fscanf(radiofile, "%d", &akt_station);
    for (i = 0; i < NumStations; i++)
      fscanf(radiofile, "%s %f", stations[i].name, &stations[i].freq);
    fclose(radiofile);
    DefaultFreq = stations[akt_station].freq;
  }
  else
  {
    RadioBase = DefaultPort;
    akt_station = 0;
    /* creating standard freqs */
    DefaultFreq = MinFreq;
    strcpy(stations[0].name, "**XRadio**"); 
    for (i = 1; i < NumStations; i++)
    {  
      stations[i].freq = MinFreq;
      sprintf(stations[i].name, "Station%d", i);
    }
    StationWrite();
  }
}

void StationWrite(void)
{
  int i;
  
  home = getenv("HOME");
  sprintf(rcfile, "%s/.xradiorc", home);  
  radiofile = fopen(rcfile, "w");
  fprintf(radiofile, "%#lx \n", RadioBase);
  fprintf(radiofile, "%d \n", akt_station);
  stations[0].freq = DefaultFreq;
  for (i = 0; i < NumStations; i++)
    fprintf(radiofile, "%s %7.3f \n", stations[i].name, stations[i].freq); 
  fclose(radiofile);
}

