/* xradio.c
   (c) July 1996 by Thomas Lehmann <thole@nuernberg.netsurf.de>
   
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

/* Form definition file generated with fdesign. */

#include <forms.h>
#include <stdlib.h>
#include "xradio.h"

FD_xradio *create_form_xradio(void)
{
  FL_OBJECT *obj;
  FD_xradio *fdui = (FD_xradio *) fl_calloc(1, sizeof(*fdui));

  fdui->xradio = fl_bgn_form(FL_NO_BOX, 340, 130);
  obj = fl_add_box(FL_UP_BOX,0,0,340,130,"");
  obj = fl_add_text(FL_NORMAL_TEXT,10,10,320,20,"XRadio                           FM Radio for X");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_RIGHT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE+FL_ENGRAVED_STYLE);
  fdui->bt_power = obj = fl_add_lightbutton(FL_PUSH_BUTTON,10,90,60,20,"Power");
    fl_set_object_color(obj,FL_COL1,FL_GREEN);
    fl_set_object_lstyle(obj,FL_NORMAL_STYLE+FL_ENGRAVED_STYLE);
    fl_set_object_callback(obj,switchpower,0);

  fdui->channels = fl_bgn_group();
  fdui->c[1] = obj = fl_add_lightbutton(FL_RADIO_BUTTON,180,40,30,20,"1");
    fl_set_object_color(obj,FL_COL1,FL_RED);
    fl_set_object_lstyle(obj,FL_NORMAL_STYLE+FL_ENGRAVED_STYLE);
    fl_set_object_callback(obj,channel,1);
  fdui->c[2] = obj = fl_add_lightbutton(FL_RADIO_BUTTON,210,40,30,20,"2");
    fl_set_object_color(obj,FL_COL1,FL_RED);
    fl_set_object_lstyle(obj,FL_NORMAL_STYLE+FL_ENGRAVED_STYLE);
    fl_set_object_callback(obj,channel,2);
  fdui->c[3] = obj = fl_add_lightbutton(FL_RADIO_BUTTON,240,40,30,20,"3");
    fl_set_object_color(obj,FL_COL1,FL_RED);
    fl_set_object_lstyle(obj,FL_NORMAL_STYLE+FL_ENGRAVED_STYLE);
    fl_set_object_callback(obj,channel,3);
  fdui->c[4] = obj = fl_add_lightbutton(FL_RADIO_BUTTON,270,40,30,20,"4");
    fl_set_object_color(obj,FL_COL1,FL_RED);
    fl_set_object_lstyle(obj,FL_NORMAL_STYLE+FL_ENGRAVED_STYLE);
    fl_set_object_callback(obj,channel,4);
  fdui->c[5] = obj = fl_add_lightbutton(FL_RADIO_BUTTON,300,40,30,20,"5");
    fl_set_object_color(obj,FL_COL1,FL_RED);
    fl_set_object_lstyle(obj,FL_NORMAL_STYLE+FL_ENGRAVED_STYLE);
    fl_set_object_callback(obj,channel,5);
  fdui->c[6] = obj = fl_add_lightbutton(FL_RADIO_BUTTON,180,60,30,20,"6");
    fl_set_object_color(obj,FL_COL1,FL_RED);
    fl_set_object_lstyle(obj,FL_NORMAL_STYLE+FL_ENGRAVED_STYLE);
    fl_set_object_callback(obj,channel,6);
  fdui->c[7] = obj = fl_add_lightbutton(FL_RADIO_BUTTON,210,60,30,20,"7");
    fl_set_object_color(obj,FL_COL1,FL_RED);
    fl_set_object_lstyle(obj,FL_NORMAL_STYLE+FL_ENGRAVED_STYLE);
    fl_set_object_callback(obj,channel,7);
  fdui->c[8] = obj = fl_add_lightbutton(FL_RADIO_BUTTON,240,60,30,20,"8");
    fl_set_object_color(obj,FL_COL1,FL_RED);
    fl_set_object_lstyle(obj,FL_NORMAL_STYLE+FL_ENGRAVED_STYLE);
    fl_set_object_callback(obj,channel,8);
  fdui->c[9] = obj = fl_add_lightbutton(FL_RADIO_BUTTON,270,60,30,20,"9");
    fl_set_object_color(obj,FL_COL1,FL_RED);
    fl_set_object_lstyle(obj,FL_NORMAL_STYLE+FL_ENGRAVED_STYLE);
    fl_set_object_callback(obj,channel,9);
  fdui->c[10] = obj = fl_add_lightbutton(FL_RADIO_BUTTON,300,60,30,20,"10");
    fl_set_object_color(obj,FL_COL1,FL_RED);
    fl_set_object_lstyle(obj,FL_NORMAL_STYLE+FL_ENGRAVED_STYLE);
    fl_set_object_callback(obj,channel,10);
  fl_end_group();

  fdui->ob_display = obj = fl_add_box(FL_DOWN_BOX,10,40,150,40,"101.300 MHz");
    fl_set_object_color(obj,FL_RIGHT_BCOL,FL_COL1);
    fl_set_object_lcol(obj,FL_GREEN);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lstyle(obj,FL_FIXED_STYLE);
  fdui->sleep_timer = obj = fl_add_timer(FL_HIDDEN_TIMER,20,10,30,10,"Timer");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_callback(obj,timeroff,0);

  fdui->allbuttons = fl_bgn_group();
  fdui->bt_display = obj = fl_add_button(FL_NORMAL_BUTTON,160,40,10,40,"");
    fl_set_object_lalign(obj,FL_ALIGN_BOTTOM);
    fl_set_object_callback(obj,switchdisplay,0);
  fdui->voldown = obj = fl_add_button(FL_NORMAL_BUTTON,290,90,20,20,"-");
    fl_set_object_lcol(obj,FL_RIGHT_BCOL);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lstyle(obj,FL_NORMAL_STYLE+FL_ENGRAVED_STYLE);
    fl_set_object_callback(obj,volume,0);
  fdui->volup = obj = fl_add_button(FL_NORMAL_BUTTON,310,90,20,20,"+");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lstyle(obj,FL_NORMAL_STYLE+FL_ENGRAVED_STYLE);
    fl_set_object_callback(obj,volume,1);
  fdui->bt_mute = obj = fl_add_lightbutton(FL_PUSH_BUTTON,80,90,30,20,"");
    fl_set_object_lstyle(obj,FL_NORMAL_STYLE+FL_ENGRAVED_STYLE);
    fl_set_object_callback(obj,muting,0);
  fdui->bt_mem = obj = fl_add_lightbutton(FL_PUSH_BUTTON,110,90,30,20,"");
    fl_set_object_lcol(obj,FL_RIGHT_BCOL);
    fl_set_object_lstyle(obj,FL_NORMAL_STYLE+FL_ENGRAVED_STYLE);
    fl_set_object_callback(obj,memory,0);
  fdui->bt_sleep = obj = fl_add_lightbutton(FL_PUSH_BUTTON,140,90,30,20,"");
    fl_set_object_lstyle(obj,FL_NORMAL_STYLE+FL_ENGRAVED_STYLE);
    fl_set_object_callback(obj,sleeping,0);
  fdui->tunedwon = obj = fl_add_button(FL_NORMAL_BUTTON,180,90,20,20,"<<");
    fl_set_object_lstyle(obj,FL_NORMAL_STYLE+FL_ENGRAVED_STYLE);
    fl_set_object_callback(obj,tuning,0);
  fdui->tuneup = obj = fl_add_button(FL_NORMAL_BUTTON,200,90,20,20,">>");
    fl_set_object_lstyle(obj,FL_NORMAL_STYLE+FL_ENGRAVED_STYLE);
    fl_set_object_callback(obj,tuning,1);
  fdui->finedown = obj = fl_add_button(FL_NORMAL_BUTTON,220,90,20,20,"<");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lstyle(obj,FL_NORMAL_STYLE+FL_ENGRAVED_STYLE);
    fl_set_object_callback(obj,finetune,0);
  fdui->fineup = obj = fl_add_button(FL_NORMAL_BUTTON,240,90,20,20,">");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lstyle(obj,FL_NORMAL_STYLE+FL_ENGRAVED_STYLE);
    fl_set_object_callback(obj,finetune,1);
  fl_end_group();

  fdui->in_station = obj = fl_add_input(FL_NORMAL_INPUT,10,40,150,40,"");
    fl_set_object_color(obj,FL_COL1,FL_BLACK);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lstyle(obj,FL_FIXED_STYLE);
    fl_set_object_callback(obj,newstation,0);
  obj = fl_add_box(FL_FLAT_BOX,290,110,40,10,"Vol");
    fl_set_object_lcol(obj,FL_WHITE);
  obj = fl_add_box(FL_FLAT_BOX,220,110,40,10,"Fine");
    fl_set_object_lcol(obj,FL_WHITE);
  obj = fl_add_box(FL_FLAT_BOX,180,110,40,10,"Tune");
    fl_set_object_lcol(obj,FL_WHITE);
  obj = fl_add_box(FL_FLAT_BOX,140,110,30,10,"Sleep");
    fl_set_object_lcol(obj,FL_WHITE);
  obj = fl_add_box(FL_FLAT_BOX,110,110,30,10,"Mem");
    fl_set_object_lcol(obj,FL_WHITE);
  obj = fl_add_box(FL_FLAT_BOX,80,110,30,10,"Mute");
    fl_set_object_lcol(obj,FL_WHITE);
  obj = fl_add_box(FL_FLAT_BOX,10,110,60,10,"it's a thole");
    fl_set_object_lcol(obj,FL_YELLOW);
  fl_end_form();

  return fdui;
}
/*---------------------------------------*/

