#ifndef FD_xradio_h_
#define FD_xradio_h_
/* xradio.h
   (c) July 1996 by Thomas Lehmann <thole@nuernberg.netsurf.de>
   
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

/* Header file generated with fdesign. */

/**** Callback routines ****/

extern void switchpower(FL_OBJECT *, long);
extern void channel(FL_OBJECT *, long);
extern void timeroff(FL_OBJECT *, long);
extern void switchdisplay(FL_OBJECT *, long);
extern void volume(FL_OBJECT *, long);
extern void muting(FL_OBJECT *, long);
extern void memory(FL_OBJECT *, long);
extern void sleeping(FL_OBJECT *, long);
extern void tuning(FL_OBJECT *, long);
extern void finetune(FL_OBJECT *, long);
extern void newstation(FL_OBJECT *, long);


/**** Forms and Objects ****/

typedef struct {
	FL_FORM *xradio;
	FL_OBJECT *bt_power;
	FL_OBJECT *channels;
	FL_OBJECT *ob_display;
	FL_OBJECT *sleep_timer;
	FL_OBJECT *allbuttons;
	FL_OBJECT *bt_display;
	FL_OBJECT *voldown;
	FL_OBJECT *volup;
	FL_OBJECT *bt_mute;
	FL_OBJECT *bt_mem;
	FL_OBJECT *bt_sleep;
	FL_OBJECT *tunedwon;
	FL_OBJECT *tuneup;
	FL_OBJECT *finedown;
	FL_OBJECT *fineup;
	FL_OBJECT *in_station;
	FL_OBJECT *c[11];
	void *vdata;
	long ldata;
} FD_xradio;

extern FD_xradio * create_form_xradio(void);

#endif /* FD_xradio_h_ */
