/* xradio is a program to control the RadioTrack radio card
 * under Linux/X11 using XForms.
 * It's based on code from Gideon le Grange and Frans Brinkman
 *  
 * (c) July 1996 by Thomas Lehmann (thole@nuernberg.netsurf.de)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <unistd.h>
#include <forms.h>
#include "priv.h"
#include "card.h"
#include "xradio.h"
#include "station.h"

char *myname;
int err;

FL_OBJECT *display;
FD_xradio *parent;

int main(int argc, char *argv[])
{
   FD_xradio *fd_xradio;

   fl_initialize(&argc, argv, "XRadio", 0, 0);
   fd_xradio = create_form_xradio();
   
   parent = fd_xradio;
   myname=argv[0];
   StationRead();
   
   /* first ask for the radio track ports */
   err=get_io_privs(RadioBase);
   if (err!=0) 
     {
	printf("%s : %s needs IO permissions. Run %s setuid root\n",myname,myname,myname);
        exit(-1);
     }
   /* now give up root */
   give_up_root();


   /* global variable for display */ 
   display = fd_xradio->ob_display;
   
   /* power is set on by callback routine switschpower*/
   fl_set_button(fd_xradio->bt_power, 1);  /* powerlight on */
   switchpower(fd_xradio->bt_power, 0);    /* toggle power on */
   
   /* set colors for station input */
   fl_set_input_color(fd_xradio->in_station, FL_GREEN, FL_CYAN);

   /* set goodies font */
   fl_set_goodies_font(FL_TIMESBOLD_STYLE, FL_MEDIUM_SIZE);

   /* show the first form */
   fl_show_form(fd_xradio->xradio,FL_PLACE_CENTER,FL_FULLBORDER,"xradio");

   fl_do_forms();
   return 0;
}
